import { CreateWorkflowRequest, CreateWorkflowResponse, GetAllWorkflowResponse, ManualTriggerRequest, ManualTriggerResponse, PatchWorkflowRequest, UpdateWorkflowRequest, WorkflowManualTriggersResponse, WorkflowMetadataResponse, WorkflowTemplateResponse } from '@bringg/types';
import { DELETE_RESPONSE } from '../../Core/CrudService';
import { CommonOptions } from '../../Core/RouteGenerator';
import Session from '../../Services/Identity/Session';
export default class WorkflowsService {
    private readonly service;
    private manualTriggersCache;
    constructor(session: Session);
    loadAll(commonOptions?: CommonOptions): Promise<GetAllWorkflowResponse>;
    delete(id: number, commonOptions?: CommonOptions): Promise<DELETE_RESPONSE>;
    update(id: number, workflow: UpdateWorkflowRequest, commonOptions?: CommonOptions): Promise<any>;
    patch(id: number, workflow: PatchWorkflowRequest, commonOptions?: CommonOptions): Promise<any>;
    create(workflow: CreateWorkflowRequest, commonOptions?: CommonOptions): Promise<any>;
    duplicate(workflowId: number, commonOptions?: CommonOptions): Promise<CreateWorkflowResponse>;
    getTemplates(commonOptions?: CommonOptions): Promise<WorkflowTemplateResponse[]>;
    manualTrigger(workflowId: number, triggerRequest: ManualTriggerRequest, commonOptions?: CommonOptions): Promise<ManualTriggerResponse>;
    getManualTriggers(commonOptions?: CommonOptions): Promise<WorkflowManualTriggersResponse>;
    getMetadata(workflowIds: number[], commonOptions?: CommonOptions): Promise<WorkflowMetadataResponse>;
}
